import { SimpleLocalIntegration } from '../../core/index.js';
import { DevialetConfigFlow } from './devialet.classes.configflow.js';
import { createDevialetDiscoveryDescriptor } from './devialet.discovery.js';
import type { IDevialetConfig } from './devialet.types.js';
import { devialetDomain, devialetProfile } from './devialet.types.js';

export class DevialetIntegration extends SimpleLocalIntegration<IDevialetConfig> {
  public readonly domain = devialetDomain;
  public readonly discoveryDescriptor = createDevialetDiscoveryDescriptor();
  public readonly configFlow = new DevialetConfigFlow();

  constructor() {
    super(devialetProfile);
  }
}

export class HomeAssistantDevialetIntegration extends DevialetIntegration {}
